pappso::TracePeakList Class Reference

`#include <tracepeaklist.h>`

Inheritance diagram for pappso::TracePeakList:

## Public Member Functions

| TracePeakList ()
| TracePeakList (const TracePeakList &other)
virtual | ~TracePeakList ()
virtual void | setTracePeak (TracePeak &xic_peak) override

## Detailed Description

Todo:
  write docs

Definition at line 41 of file tracepeaklist.h.

## Constructor & Destructor Documentation

## TracePeakList() [1/2]

TracePeakList::TracePeakList | ( |  | ) |

Default constructor

Definition at line 34 of file tracepeaklist.cpp.

{
}

## TracePeakList() [2/2]

TracePeakList::TracePeakList | ( | const TracePeakList & | other | ) |

Copy constructor

Parameters

  other | TODO

Definition at line 38 of file tracepeaklist.cpp.

: std::vector<TracePeak>(other)
{
}

## ~TracePeakList()

TracePeakList::~TracePeakList | ( |  | ) |

virtual

Destructor

Definition at line 43 of file tracepeaklist.cpp.

{
}

## Member Function Documentation

## setTracePeak()

void pappso::TracePeakList::setTracePeak | ( | pappso::TracePeak & | xic_peak | ) |

override virtual

Implements pappso::TraceDetectionSinkInterface.

Definition at line 48 of file tracepeaklist.cpp.

{
push_back(xic_peak);
}

The documentation for this class was generated from the following files:

- pappsomspp/processing/detection/tracepeaklist.h
- pappsomspp/processing/detection/tracepeaklist.cpp